#!/bin/sh

. "$_EXEC/cgilite/storage.sh"
. "$_EXEC/indexmeta.sh"

newtags=''
for tn in $(seq 1 $(POST_COUNT tag)); do
  newtags="${newtags},$(POST tag $tn)"
done
newtags="${newtags},$(POST newtag |tr -d '\r')"

for select in $(seq 1 $(POST_COUNT select)); do
  file="$_DATA/$ITEM/$(POST select $select |PATH)"
  meta="${file%/*}/.index/meta"

  read -r length width height tags comment fn <<-EOF
	$(meta_info "$file")
	EOF

  tags="$(UNSTRING "${tags#tags=}")"
  tags="$(printf '%s\n' "${tags}" "${newtags}" |tr , '\n' |sort -u |tr '\n' , |STRING)"
  tags="${tags#,}"; tags="${tags%,}"

  if LOCK "$meta"; then
    grep -avF "	$fn" "$meta" >"${meta}.tmp"

    printf '%i	%i	%i	tags=%s	comment=%s	%s\n' \
           "$length" "$width" "$height" "$tags" \
           "${comment#comment=}" "$fn" \
      >>"${meta}.tmp"
    mv "${meta}.tmp" "$meta"

    RELEASE "$meta"
  fi
done
